Skip to main content
GET
/
workflow-runs
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const workflowRun of client.workflowRuns.list()) {
  console.log(workflowRun.id);
}
{
  "data": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "agentName": "<string>",
      "identity": {},
      "status": "running",
      "input": {},
      "state": {},
      "pendingAction": {},
      "context": {},
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Query Parameters

limit
number
default:20

Number of workflow runs to return

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination

agent_name
string

Filter by agent name

status
enum<string>

Filter by run status

Available options:
running,
paused,
completed,
failed

Response

List of workflow runs

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required